Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.perforce
Class PerforceDescribeCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
              com.atlassian.bamboo.repository.perforce.PerforceDescribeCommand

    public class PerforceDescribeCommand

extends AbstractPerforceCommand

This obtains the change list numbers for all changes since the last build

Constructor Summary
`PerforceDescribeCommand()`

Method Summary
`ChangeLogEntry` | `getChangeLogEntry()`
`Commandline` | `getCommandLine()` Basic Perforce P4 describe command line.
`String` | `getDepot()` What is the build depot?
`void` | `setChangeListNumber(String changeListNumber)`
`void` | `setDepot(String depot)` Set the build depot

Methods inherited from class com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
`getClient, getP4Executable, getPort, getUser, getWorkingDirectory, setClient, setP4Executable, setPort, setUser`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceDescribeCommand

    public PerforceDescribeCommand()

Method Detail

### getCommandLine

    public Commandline getCommandLine()

  Basic Perforce P4 describe command line.

  E.G.

  p4 describe -s 58

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The perforce command to get a change list information.

### getChangeLogEntry

    public ChangeLogEntry getChangeLogEntry()

### setDepot

    public void setDepot(String depot)

  Set the build depot

  Parameters:
    `depot` - The perforce build depot

### getDepot

    public String getDepot()

  What is the build depot?

  Returns:
    the depot

### setChangeListNumber

    public void setChangeListNumber(String changeListNumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.